import Vue from 'vue'
import axios from 'axios'
import TestovanieComponent from './App'
import { ModalPlugin } from 'bootstrap-vue'

Vue.use(ModalPlugin)

new Vue({
  el: '#testovanieApp',
  components: {
    TestovanieComponent
  },
  mounted: function () {
    window.axios = axios
    window.axios.defaults.headers.common['X-Requested-With'] = 'XMLHttpRequest';
    window.axios.defaults.baseURL = '/rest/vzdelavanie/testy/pouzivatela/test/'

    let token = document.head.querySelector('meta[name="csrf-token"]');

    if (token) {
      window.axios.defaults.headers.common['X-CSRF-TOKEN'] = token.content;
    } else {
      console.error('CSRF token not found: https://laravel.com/docs/csrf#csrf-x-csrf-token');
    }
  }
})
